package de.avatic.lcc.dto.users;


import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class UserDTO {

    @JsonProperty("firstname")
    private String firstName;

    @JsonProperty("lastname")
    private String lastName;

    @JsonProperty("mail")
    private String email;

    @JsonProperty("workday_id")
    private String workdayId;

    @JsonProperty("is_active")
    private boolean isActive;

    @JsonProperty("groups")
    private List<String> groups;

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getWorkdayId() {
        return workdayId;
    }

    public void setWorkdayId(String workdayId) {
        this.workdayId = workdayId;
    }

    public boolean isActive() {
        return isActive;
    }

    public void setActive(boolean active) {
        isActive = active;
    }

    public List<String> getGroups() {
        return groups;
    }

    public void setGroups(List<String> groups) {
        this.groups = groups;
    }
}
